### Hierarchy

- unknown
  - GetMoneroNodeSettingsReply

## Index

### Constructors

- constructor

### Methods

- clearSettings
- getSettings
- hasSettings
- serializeBinary
- setSettings
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMoneroNodeSettingsReply(): GetMoneroNodeSettingsReply

- Inherited from jspb.Message.constructor

  #### Returns GetMoneroNodeSettingsReply

## Methods

### clearSettings

- clearSettings(): GetMoneroNodeSettingsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1231

  #### Returns GetMoneroNodeSettingsReply

### getSettings

- getSettings(): undefined | MoneroNodeSettings

- - Defined in src/protobuf/grpc_pb.d.ts:1228

  #### Returns undefined | MoneroNodeSettings

### hasSettings

- hasSettings(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1230

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1233

  #### Returns Uint8Array

### setSettings

- setSettings(value?: MoneroNodeSettings ): GetMoneroNodeSettingsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1229

  #### Parameters

  - ##### Optional value: MoneroNodeSettings

  #### Returns GetMoneroNodeSettingsReply

### toObject

- toObject(includeInstance?: boolean): GetMoneroNodeSettingsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1234

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMoneroNodeSettingsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMoneroNodeSettingsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1237

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMoneroNodeSettingsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMoneroNodeSettingsReply, reader: BinaryReader): GetMoneroNodeSettingsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1238

  #### Parameters

  - ##### message: GetMoneroNodeSettingsReply

  - ##### reader: BinaryReader

  #### Returns GetMoneroNodeSettingsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMoneroNodeSettingsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1236

  #### Parameters

  - ##### message: GetMoneroNodeSettingsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMoneroNodeSettingsReply ): GetMoneroNodeSettingsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1235

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMoneroNodeSettingsReply

  #### Returns GetMoneroNodeSettingsReply . AsObject

Generated using TypeDoc